output(t) c:\res\stockreg\ff\pfflj2
' This EViews program estimates the default equation for the
' S&P and NASDAQ for 6 different 2-month periods in 1999 and 2002.
' The idea is to check for integration inside US stock markets,
' using the Fama-French factor model
'
' This is a perturbation of \res\stockreg\ff\pffl5 that
' uses both large and small stocks.  It differs in that the normalization
' variable is p(j,t) not p(j,t-1).  The firm intercepts are dropped from
' the model and teh variables are redefined accordingly.
'
' The samples are:
' 1999: April-May (41 days) sample 1
' 1999: July-August (43) sample 2
' 1999: October-November (42) sample 3
' 2002: April-May (44) sample 4
' 2002: July-August (44) sample 5
' 2002: October-November (43) sample 6
'
' Each market has 100 firms grouped into 20 portfolios of 5 firms each.
' and we lose 1 lead (regressand and 1 lag (normalization) each period.
'
' The factors are for the S&P:
' mktmrf (variables "fsx" coefficients "1x")
' smb (variables 'gsx" coefficients "2x")
' hml (variables 'hsx' coefficients "3x")
' and for the NASDAQ
' mktmrf (variables "fnx" coefficients "5x" on joint estimation)
' smb (variables 'gnx" coefficients "6x" on joint estimation)
' hml (variables 'hnx' coefficients "7x" on joint estimation)
'
' Load the data set
'
load \res\stockreg\ff\dataffl2
smpl @all
'
' Create the time dummies
'
genr t02=(bday=2)
genr t03=(bday=3)
genr t04=(bday=4)
genr t05=(bday=5)
genr t06=(bday=6)
genr t07=(bday=7)
genr t08=(bday=8)
genr t09=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
genr t24=(bday=24)
genr t25=(bday=25)
genr t26=(bday=26)
genr t27=(bday=27)
genr t28=(bday=28)
genr t29=(bday=29)
genr t30=(bday=30)
genr t31=(bday=31)
genr t32=(bday=32)
genr t33=(bday=33)
genr t34=(bday=34)
genr t35=(bday=35)
genr t36=(bday=36)
genr t37=(bday=37)
genr t38=(bday=38)
genr t39=(bday=39)
genr t40=(bday=40)
genr t41=(bday=41)
genr t42=(bday=42)
genr t43=(bday=43)
'
' First S&P variables
'
' Create the portfolio interactive dummies: mktmrf
'
genr fs01=(asset=1)*(portn=1)*mktmrf
genr fs02=(asset=1)*(portn=2)*mktmrf
genr fs03=(asset=1)*(portn=3)*mktmrf
genr fs04=(asset=1)*(portn=4)*mktmrf
genr fs05=(asset=1)*(portn=5)*mktmrf
genr fs06=(asset=1)*(portn=6)*mktmrf
genr fs07=(asset=1)*(portn=7)*mktmrf
genr fs08=(asset=1)*(portn=8)*mktmrf
genr fs09=(asset=1)*(portn=9)*mktmrf
genr fs10=(asset=1)*(portn=10)*mktmrf
genr fs11=(asset=1)*(portn=11)*mktmrf
genr fs12=(asset=1)*(portn=12)*mktmrf
genr fs13=(asset=1)*(portn=13)*mktmrf
genr fs14=(asset=1)*(portn=14)*mktmrf
genr fs15=(asset=1)*(portn=15)*mktmrf
genr fs16=(asset=1)*(portn=16)*mktmrf
genr fs17=(asset=1)*(portn=17)*mktmrf
genr fs18=(asset=1)*(portn=18)*mktmrf
genr fs19=(asset=1)*(portn=19)*mktmrf
genr fs20=(asset=1)*(portn=20)*mktmrf
'
' Create the portfolio interactive dummies: smb
'
genr gs01=(asset=1)*(portn=1)*smb
genr gs02=(asset=1)*(portn=2)*smb
genr gs03=(asset=1)*(portn=3)*smb
genr gs04=(asset=1)*(portn=4)*smb
genr gs05=(asset=1)*(portn=5)*smb
genr gs06=(asset=1)*(portn=6)*smb
genr gs07=(asset=1)*(portn=7)*smb
genr gs08=(asset=1)*(portn=8)*smb
genr gs09=(asset=1)*(portn=9)*smb
genr gs10=(asset=1)*(portn=10)*smb
genr gs11=(asset=1)*(portn=11)*smb
genr gs12=(asset=1)*(portn=12)*smb
genr gs13=(asset=1)*(portn=13)*smb
genr gs14=(asset=1)*(portn=14)*smb
genr gs15=(asset=1)*(portn=15)*smb
genr gs16=(asset=1)*(portn=16)*smb
genr gs17=(asset=1)*(portn=17)*smb
genr gs18=(asset=1)*(portn=18)*smb
genr gs19=(asset=1)*(portn=19)*smb
genr gs20=(asset=1)*(portn=20)*smb
'
' Create the portfolio interactive dummies: hml
'
genr hs01=(asset=1)*(portn=1)*hml
genr hs02=(asset=1)*(portn=2)*hml
genr hs03=(asset=1)*(portn=3)*hml
genr hs04=(asset=1)*(portn=4)*hml
genr hs05=(asset=1)*(portn=5)*hml
genr hs06=(asset=1)*(portn=6)*hml
genr hs07=(asset=1)*(portn=7)*hml
genr hs08=(asset=1)*(portn=8)*hml
genr hs09=(asset=1)*(portn=9)*hml
genr hs10=(asset=1)*(portn=10)*hml
genr hs11=(asset=1)*(portn=11)*hml
genr hs12=(asset=1)*(portn=12)*hml
genr hs13=(asset=1)*(portn=13)*hml
genr hs14=(asset=1)*(portn=14)*hml
genr hs15=(asset=1)*(portn=15)*hml
genr hs16=(asset=1)*(portn=16)*hml
genr hs17=(asset=1)*(portn=17)*hml
genr hs18=(asset=1)*(portn=18)*hml
genr hs19=(asset=1)*(portn=19)*hml
genr hs20=(asset=1)*(portn=20)*hml
'
' Second NASDAQ variables
'
' Create the portfolio interactive dummies: mktmrf
'
genr fn01=(asset=2)*(portn=1)*mktmrf
genr fn02=(asset=2)*(portn=2)*mktmrf
genr fn03=(asset=2)*(portn=3)*mktmrf
genr fn04=(asset=2)*(portn=4)*mktmrf
genr fn05=(asset=2)*(portn=5)*mktmrf
genr fn06=(asset=2)*(portn=6)*mktmrf
genr fn07=(asset=2)*(portn=7)*mktmrf
genr fn08=(asset=2)*(portn=8)*mktmrf
genr fn09=(asset=2)*(portn=9)*mktmrf
genr fn10=(asset=2)*(portn=10)*mktmrf
genr fn11=(asset=2)*(portn=11)*mktmrf
genr fn12=(asset=2)*(portn=12)*mktmrf
genr fn13=(asset=2)*(portn=13)*mktmrf
genr fn14=(asset=2)*(portn=14)*mktmrf
genr fn15=(asset=2)*(portn=15)*mktmrf
genr fn16=(asset=2)*(portn=16)*mktmrf
genr fn17=(asset=2)*(portn=17)*mktmrf
genr fn18=(asset=2)*(portn=18)*mktmrf
genr fn19=(asset=2)*(portn=19)*mktmrf
genr fn20=(asset=2)*(portn=20)*mktmrf
'
' Create the portfolio interactive dummies: smb
'
genr gn01=(asset=2)*(portn=1)*smb
genr gn02=(asset=2)*(portn=2)*smb
genr gn03=(asset=2)*(portn=3)*smb
genr gn04=(asset=2)*(portn=4)*smb
genr gn05=(asset=2)*(portn=5)*smb
genr gn06=(asset=2)*(portn=6)*smb
genr gn07=(asset=2)*(portn=7)*smb
genr gn08=(asset=2)*(portn=8)*smb
genr gn09=(asset=2)*(portn=9)*smb
genr gn10=(asset=2)*(portn=10)*smb
genr gn11=(asset=2)*(portn=11)*smb
genr gn12=(asset=2)*(portn=12)*smb
genr gn13=(asset=2)*(portn=13)*smb
genr gn14=(asset=2)*(portn=14)*smb
genr gn15=(asset=2)*(portn=15)*smb
genr gn16=(asset=2)*(portn=16)*smb
genr gn17=(asset=2)*(portn=17)*smb
genr gn18=(asset=2)*(portn=18)*smb
genr gn19=(asset=2)*(portn=19)*smb
genr gn20=(asset=2)*(portn=20)*smb
'
' Create the portfolio interactive dummies: hml
'
genr hn01=(asset=2)*(portn=1)*hml
genr hn02=(asset=2)*(portn=2)*hml
genr hn03=(asset=2)*(portn=3)*hml
genr hn04=(asset=2)*(portn=4)*hml
genr hn05=(asset=2)*(portn=5)*hml
genr hn06=(asset=2)*(portn=6)*hml
genr hn07=(asset=2)*(portn=7)*hml
genr hn08=(asset=2)*(portn=8)*hml
genr hn09=(asset=2)*(portn=9)*hml
genr hn10=(asset=2)*(portn=10)*hml
genr hn11=(asset=2)*(portn=11)*hml
genr hn12=(asset=2)*(portn=12)*hml
genr hn13=(asset=2)*(portn=13)*hml
genr hn14=(asset=2)*(portn=14)*hml
genr hn15=(asset=2)*(portn=15)*hml
genr hn16=(asset=2)*(portn=16)*hml
genr hn17=(asset=2)*(portn=17)*hml
genr hn18=(asset=2)*(portn=18)*hml
genr hn19=(asset=2)*(portn=19)*hml
genr hn20=(asset=2)*(portn=20)*hml
'
' Create the returns
'
sort sample asset portn bday
smpl if (portn(+1)=portn)
genr lhs=port(+1)/port
'
' Sample 1: April-May 1999
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=1)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<40.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=1)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=1)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=1)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<40.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=1)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=1)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=1)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<40.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)
'
' Sample 2: July-August 1999
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=2)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=2)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=2)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=2)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=2)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=2)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=2)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)
'
' Sample 3: October-November 1999
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=3)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<41.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=3)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=3)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=3)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<41.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=3)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=3)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=3)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<41.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)
'
' Sample 4: April-May 2002
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=4)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=4)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=4)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=4)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=4)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=4)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=4)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)
'
' Sample 5: July-August 2002
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=5)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=5)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=5)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=5)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<43.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=5)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=5)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=5)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<43.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42)+(c(43)*t43))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)
'
' Sample 6: October-November 2002
'
' S&P First
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=6)and(asset=1))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=6)and(asset=1))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
e2nd.results(p)
' All
smpl if ((sample=6)and(asset=1))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+1.)
eall.results(p)
'
' NASDAQ Second
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((sample=6)and(asset=2))and((portn>00.5)and(portn<10.5))and((bday>1.5)and(bday<42.5))
equation e1st.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+1.)
e1st.results(p)
' Second Half
smpl if ((sample=6)and(asset=2))and((portn>10.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation e2nd.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
e2nd.results(p)
' All
smpl if ((sample=6)and(asset=2))and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fn01)+(c(102)*fn02)+(c(103)*fn03)+(c(104)*fn04)+(c(105)*fn05)+(c(106)*fn06)+(c(107)*fn07)+(c(108)*fn08)+(c(109)*fn09)+(c(110)*fn10)+(c(111)*fn11)+(c(112)*fn12)+(c(113)*fn13)+(c(114)*fn14)+(c(115)*fn15)+(c(116)*fn16)+(c(117)*fn17)+(c(118)*fn18)+(c(119)*fn19)+(c(120)*fn20)+(c(201)*gn01)+(c(202)*gn02)+(c(203)*gn03)+(c(204)*gn04)+(c(205)*gn05)+(c(206)*gn06)+(c(207)*gn07)+(c(208)*gn08)+(c(209)*gn09)+(c(210)*gn10)+(c(211)*gn11)+(c(212)*gn12)+(c(213)*gn13)+(c(214)*gn14)+(c(215)*gn15)+(c(216)*gn16)+(c(217)*gn17)+(c(218)*gn18)+(c(219)*gn19)+(c(220)*gn20)+(c(301)*hn01)+(c(302)*hn02)+(c(303)*hn03)+(c(304)*hn04)+(c(305)*hn05)+(c(306)*hn06)+(c(307)*hn07)+(c(308)*hn08)+(c(309)*hn09)+(c(310)*hn10)+(c(311)*hn11)+(c(312)*hn12)+(c(313)*hn13)+(c(314)*hn14)+(c(315)*hn15)+(c(316)*hn16)+(c(317)*hn17)+(c(318)*hn18)+(c(319)*hn19)+(c(320)*hn20)+1.)
eall.results(p)
'
' Combined S&P and NASDAQ
'
smpl if (sample=6)and((portn>00.5)and(portn<20.5))and((bday>1.5)and(bday<42.5))
equation eall.ls(n) lhs=((c(2)*t02)+(c(3)*t03)+(c(4)*t04)+(c(5)*t05)+(c(6)*t06)+(c(7)*t07)+(c(8)*t08)+(c(9)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23)+(c(24)*t24)+(c(25)*t25)+(c(26)*t26)+(c(27)*t27)+(c(28)*t28)+(c(29)*t29)+(c(30)*t30)+(c(31)*t31)+(c(32)*t32)+(c(33)*t33)+(c(34)*t34)+(c(35)*t35)+(c(36)*t36)+(c(37)*t37)+(c(38)*t38)+(c(39)*t39)+(c(40)*t40)+(c(41)*t41)+(c(42)*t42))*((c(101)*fs01)+(c(102)*fs02)+(c(103)*fs03)+(c(104)*fs04)+(c(105)*fs05)+(c(106)*fs06)+(c(107)*fs07)+(c(108)*fs08)+(c(109)*fs09)+(c(110)*fs10)+(c(111)*fs11)+(c(112)*fs12)+(c(113)*fs13)+(c(114)*fs14)+(c(115)*fs15)+(c(116)*fs16)+(c(117)*fs17)+(c(118)*fs18)+(c(119)*fs19)+(c(120)*fs20)+(c(201)*gs01)+(c(202)*gs02)+(c(203)*gs03)+(c(204)*gs04)+(c(205)*gs05)+(c(206)*gs06)+(c(207)*gs07)+(c(208)*gs08)+(c(209)*gs09)+(c(210)*gs10)+(c(211)*gs11)+(c(212)*gs12)+(c(213)*gs13)+(c(214)*gs14)+(c(215)*gs15)+(c(216)*gs16)+(c(217)*gs17)+(c(218)*gs18)+(c(219)*gs19)+(c(220)*gs20)+(c(301)*hs01)+(c(302)*hs02)+(c(303)*hs03)+(c(304)*hs04)+(c(305)*hs05)+(c(306)*hs06)+(c(307)*hs07)+(c(308)*hs08)+(c(309)*hs09)+(c(310)*hs10)+(c(311)*hs11)+(c(312)*hs12)+(c(313)*hs13)+(c(314)*hs14)+(c(315)*hs15)+(c(316)*hs16)+(c(317)*hs17)+(c(318)*hs18)+(c(319)*hs19)+(c(320)*hs20)+(c(501)*fn01)+(c(502)*fn02)+(c(503)*fn03)+(c(504)*fn04)+(c(505)*fn05)+(c(506)*fn06)+(c(507)*fn07)+(c(508)*fn08)+(c(509)*fn09)+(c(510)*fn10)+(c(511)*fn11)+(c(512)*fn12)+(c(513)*fn13)+(c(514)*fn14)+(c(515)*fn15)+(c(516)*fn16)+(c(517)*fn17)+(c(518)*fn18)+(c(519)*fn19)+(c(520)*fn20)+(c(601)*gn01)+(c(602)*gn02)+(c(603)*gn03)+(c(604)*gn04)+(c(605)*gn05)+(c(606)*gn06)+(c(607)*gn07)+(c(608)*gn08)+(c(609)*gn09)+(c(610)*gn10)+(c(611)*gn11)+(c(612)*gn12)+(c(613)*gn13)+(c(614)*gn14)+(c(615)*gn15)+(c(616)*gn16)+(c(617)*gn17)+(c(618)*gn18)+(c(619)*gn19)+(c(620)*gn20)+(c(701)*hn01)+(c(702)*hn02)+(c(703)*hn03)+(c(704)*hn04)+(c(705)*hn05)+(c(706)*hn06)+(c(707)*hn07)+(c(708)*hn08)+(c(709)*hn09)+(c(710)*hn10)+(c(711)*hn11)+(c(712)*hn12)+(c(713)*hn13)+(c(714)*hn14)+(c(715)*hn15)+(c(716)*hn16)+(c(717)*hn17)+(c(718)*hn18)+(c(719)*hn19)+(c(720)*hn20)+1.)
eall.results(p)

output off
